#ifndef XAUDIOXMADATAINFO_H
#define XAUDIOXMADATAINFO_H

#include "xasset.h"

class XSoundFileRef;

class XAudioXmaDataInfo : public XAsset
{
public:
    XAudioXmaDataInfo();
    ~XAudioXmaDataInfo();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    int mTotalMsec;
};

#endif // XAUDIOXMADATAINFO_H
